import { client, navigateTo } from "../../index.js";
import AbstractAuthentifiedView from "../abstracts/AbstractAuthentifiedView.js";

export default class extends AbstractAuthentifiedView
{
	constructor(params) {
		super(params, "Logout");
	}

	async postInit() {
		await client.logout();
		await client.notice.disconnect();
		navigateTo("/login")
	}
}
