from transcendence.abstract.AbstractRoomManager import AbstractRoomManager

from ..models import GameModel
from .GameRoom import GameRoom

class GameRoomManager(AbstractRoomManager):
	
	def get(self, game_id: int):

		for room in self._room_list:
			if (room.game_id == game_id):
				return room
		
		if (GameModel.objects.filter(pk = game_id).exists()):
			room = GameRoom(self, game_id)
			self.append(room)
			return room
		
		return None